Bug 99451 - [new port] net-mgmt/ipacco - Web based tool to analyze Cisco IP accounting data
Summary: [new port] net-mgmt/ipacco - Web based tool to analyze Cisco IP accounting data
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ion-Mihai "IOnut" Tetcu
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-25 14:20 UTC by babak
Modified: 2006-07-02 20:26 UTC (History)
0 users

See Also:


Attachments
ipacco.shar (6.47 KB, text/plain)
2006-06-25 14:20 UTC, babak
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description babak 2006-06-25 14:20:22 UTC

Web based tool to analyze Cisco IP accounting data
Comment 1 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-29 09:45:20 UTC
Responsible Changed
From-To: freebsd-ports-bugs->itetcu

I'll take it.
Comment 2 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-06-29 11:34:01 UTC
State Changed
From-To: open->feedback

The depedndency on tclX is wrong, pleasee see: 
http://sce-tindy.tecnik93.com/tb-exp/index.php?action=describe_port&id=940
Comment 3 babak 2006-07-02 08:53:47 UTC
Hello,

Please find following new shar file in which I relocated the dependencies to
avoid problems:

--- ipacco.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ipacco
#	ipacco/Makefile
#	ipacco/distinfo
#	ipacco/pkg-descr
#	ipacco/pkg-plist
#	ipacco/files
#	ipacco/files/pkg-message.in
#
echo c - ipacco
mkdir -p ipacco > /dev/null 2>&1
echo x - ipacco/Makefile
sed 's/^X//' >ipacco/Makefile << 'END-of-ipacco/Makefile'
X# New ports collection makefile for:	ipacco
X# Date created:		25 June 2006
X# Whom:			Babak Farrokhi <babak@farrokhi.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ipacco
XPORTVERSION=	0.2.0.1
XCATEGORIES=	net-mgmt www
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	ipacco
X
XMAINTAINER=	babak@farrokhi.net
XCOMMENT=	Web based tool to analyze Cisco IP accounting data
X
XRUN_DEPENDS=	tclx83:${PORTSDIR}/lang/tclX \
X		${TCL_LIBDIR}/mysqltcl:${PORTSDIR}/databases/mysqltcl \
X
${LOCALBASE}/lib/tcllib1.7/pkgIndex.tcl:${PORTSDIR}/devel/tcllib
X
XNO_BUILD=	yes
XUSE_PHP=	mysql gd
XUSE_TCL=	yes
X
XIPACCO?=	www/${PORTNAME}
XIPACCO_WEB=	${PREFIX}/${IPACCO}
XPLIST_SUB+=	IPACCO_WEB=${IPACCO}
XSUB_LIST+=	IPACCO_WEB=${IPACCO} \
X		PORTDOCS=${PORTDOCS} \
X		PORTNAME=${PORTNAME}
X
XSUB_FILES=	pkg-message
X
X.if !defined(NOPORTDOCS)
XPORTDOCS1=	INSTALL.html INSTALL.txt RELNOTES.html RELNOTES.txt
XPORTDOCS2=	README.html README.txt LICENSE CreateDB.sql
X.endif
X
Xpre-install:
X	@${FIND} ${WRKSRC} -name '*.bak' -type f -print0 | ${XARGS} -0 ${RM}
-f
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|/usr/bin/tclsh|${TCLSH}|' \
X	    ${WRKSRC}/datapump/ipacco-datapump.tcl
X	@${REINPLACE_CMD} -e 's|\<?=|\<?php print|g' \
X	    ${WRKSRC}/html/*.php
X
Xdo-install:
X	-@${MKDIR} ${IPACCO_WEB}
X	@${MKDIR} ${PREFIX}/etc/${PORTNAME}
X	@${CP} -R ${WRKSRC}/html/* ${IPACCO_WEB}
X	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${IPACCO_WEB}
X	@${INSTALL_DATA} ${WRKSRC}/datapump/ipacco-datapump.cfg
${PREFIX}/etc/${PORTNAME}
X	@${INSTALL_SCRIPT} ${WRKSRC}/datapump/ipacco-datapump.tcl
${PREFIX}/sbin
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for f in ${PORTDOCS1}
X	@${INSTALL_DATA} ${WRKSRC}/doc/${f} ${DOCSDIR}
X.endfor
X.for f in ${PORTDOCS2}
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-ipacco/Makefile
echo x - ipacco/distinfo
sed 's/^X//' >ipacco/distinfo << 'END-of-ipacco/distinfo'
XMD5 (ipacco-0.2.0.1.tar.gz) = 4413b19275c3f0357e0d3e3d5cbdac45
XSHA256 (ipacco-0.2.0.1.tar.gz) =
8d91d783ea534f46c928f77d262962ccfb6e3ecd522c02f0262ac348bcc11636
XSIZE (ipacco-0.2.0.1.tar.gz) = 65754
END-of-ipacco/distinfo
echo x - ipacco/pkg-descr
sed 's/^X//' >ipacco/pkg-descr << 'END-of-ipacco/pkg-descr'
XIPAcco is a free software package that helps a network admin 
Xto collect, visualize and analyze IP accounting data from the 
XCisco routers. 
XCisco routers themselves are capable of collecting IP accounting 
Xinformation . i.e. an unordered set of IP source-destination 
Xpairs along with a byte and packet counters corresponding to all 
Xnetwork traffic flows that passed through the router's interfaces. 
XThese data can be a useful source for various analysis procedures 
Xand billing systems but by itself, in their raw form they are 
Xrather difficult to read and understand. In addition, a router 
Xcannot keep a lot of data . its memory is needed for purposes 
Xother than remembering what traffic, from what sources and where 
Xit forwarded two month ago.
X
XWWW:	http://ipacco.sourceforge.net/
X
X- Babak Farrokhi
Xbabak@farrokhi.net
END-of-ipacco/pkg-descr
echo x - ipacco/pkg-plist
sed 's/^X//' >ipacco/pkg-plist << 'END-of-ipacco/pkg-plist'
Xetc/ipacco/ipacco-datapump.cfg
Xsbin/ipacco-datapump.tcl
X%%PORTDOCS%%%%DOCSDIR%%/CreateDB.sql
X%%PORTDOCS%%%%DOCSDIR%%/INSTALL.html
X%%PORTDOCS%%%%DOCSDIR%%/INSTALL.txt
X%%PORTDOCS%%%%DOCSDIR%%/LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/README.html
X%%PORTDOCS%%%%DOCSDIR%%/README.txt
X%%PORTDOCS%%%%DOCSDIR%%/RELNOTES.html
X%%PORTDOCS%%%%DOCSDIR%%/RELNOTES.txt
X%%IPACCO_WEB%%/AddrCondition.php
X%%IPACCO_WEB%%/AddrFilter.php
X%%IPACCO_WEB%%/AddrGraph.php
X%%IPACCO_WEB%%/BrightnessPicker.php
X%%IPACCO_WEB%%/BrightnessSelector.php
X%%IPACCO_WEB%%/ByAddress.php
X%%IPACCO_WEB%%/ByTime.php
X%%IPACCO_WEB%%/ChangeSettings.php
X%%IPACCO_WEB%%/ColorBrightnessPicker.php
X%%IPACCO_WEB%%/ColorPicker.php
X%%IPACCO_WEB%%/ColorSelector.php
X%%IPACCO_WEB%%/Colors.php
X%%IPACCO_WEB%%/Globals.php
X%%IPACCO_WEB%%/Help.php
X%%IPACCO_WEB%%/IPAcco.css
X%%IPACCO_WEB%%/MainMenu.php
X%%IPACCO_WEB%%/PageBottom.php
X%%IPACCO_WEB%%/PageHeader.php
X%%IPACCO_WEB%%/PageMiddle.php
X%%IPACCO_WEB%%/PageTop.php
X%%IPACCO_WEB%%/ServerError.php
X%%IPACCO_WEB%%/Settings.php
X%%IPACCO_WEB%%/SiteDefs.php
X%%IPACCO_WEB%%/TimeGraph.php
X%%IPACCO_WEB%%/TimeSelector.php
X%%IPACCO_WEB%%/Utils.php
X%%IPACCO_WEB%%/help/AddressFiltering.html
X%%IPACCO_WEB%%/help/AddressGraph.html
X%%IPACCO_WEB%%/help/Overview.html
X%%IPACCO_WEB%%/help/Settings.html
X%%IPACCO_WEB%%/help/StatusPage.html
X%%IPACCO_WEB%%/help/TimeGraph.html
X%%IPACCO_WEB%%/help/TimeNavigation.html
X%%IPACCO_WEB%%/images/ArrowLeftButton.png
X%%IPACCO_WEB%%/images/ArrowLeftButtonDisabled.png
X%%IPACCO_WEB%%/images/ArrowRightButton.png
X%%IPACCO_WEB%%/images/ColorPicker.png
X%%IPACCO_WEB%%/images/MinusButton.png
X%%IPACCO_WEB%%/images/MinusButtonDisabled.png
X%%IPACCO_WEB%%/images/PlusButton.png
X%%IPACCO_WEB%%/images/php-power-black.gif
X%%IPACCO_WEB%%/images/poweredbymysql-88.png
X%%IPACCO_WEB%%/index.html
X%%IPACCO_WEB%%/index.php
X@dirrm %%IPACCO_WEB%%/images
X@dirrm %%IPACCO_WEB%%/help
X@dirrmtry %%IPACCO_WEB%%
X@dirrm etc/ipacco
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-ipacco/pkg-plist
echo c - ipacco/files
mkdir -p ipacco/files > /dev/null 2>&1
echo x - ipacco/files/pkg-message.in
sed 's/^X//' >ipacco/files/pkg-message.in <<
'END-of-ipacco/files/pkg-message.in'
X
X--------------------------------------------------
X
X1- Import database schema to your mysql:
X    mysql -u root -p < %%DOCSDIR%%%%PORTDOCS%%/CreateDB.sql
X
X2- Configure mysql parameters in 
X    %%PREFIX%%/etc/%%PORTNAME%%/ipacco-datapump.cfg
X    and
X    %%PREFIX%%/%%IPACCO_WEB%%/SiteDefs.php 
X
X3- Read the instructions and configure your cisco routers:
X    %%DOCSDIR%%/README.txt
X
X4- Add datapump agent to your /etc/crontab file:
X    */5 * * * * root %%PREFIX%%/sbin/ipacco-datapump.tcl \
X    -c %%PREFIX%%/etc/%%PORTNAME%%/ipacco-datapump.cfg > /dev/null 2>&1
X
X--------------------------------------------------
X    
END-of-ipacco/files/pkg-message.in
Exit
--- ipacco.shar ends here ---
Comment 4 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-02 10:16:15 UTC
On Sun, 2 Jul 2006 11:23:47 +0330
"Babak Farrokhi" <babak@farrokhi.net> wrote:

> Hello,
> 
> Please find following new shar file in which I relocated the dependencies to
> avoid problems:


Same result, same link. Also I'm not sure you should depends on tclx83 unless you
require tcl version to be 83 also.


-- 
IOnut - Un^d^dregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #250:
Program load too heavy for processor to lift

Comment 5 babak 2006-07-02 14:20:28 UTC
Hi,

New shar is attached. Please kindly throw it in your tinderbox. I hope this
one works as I changed tclX dependency. However, it was working fine here
and I was not receiving any error during test.

--- ipacco.shar begins here ---
# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	ipacco
#	ipacco/Makefile
#	ipacco/distinfo
#	ipacco/pkg-descr
#	ipacco/pkg-plist
#	ipacco/files
#	ipacco/files/pkg-message.in
#
echo c - ipacco
mkdir -p ipacco > /dev/null 2>&1
echo x - ipacco/Makefile
sed 's/^X//' >ipacco/Makefile << 'END-of-ipacco/Makefile'
X# New ports collection makefile for:	ipacco
X# Date created:		25 June 2006
X# Whom:			Babak Farrokhi <babak@farrokhi.net>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	ipacco
XPORTVERSION=	0.2.0.1
XCATEGORIES=	net-mgmt www
XMASTER_SITES=	${MASTER_SITE_SOURCEFORGE}
XMASTER_SITE_SUBDIR=	ipacco
X
XMAINTAINER=	babak@farrokhi.net
XCOMMENT=	Web based tool to analyze Cisco IP accounting data
X
XRUN_DEPENDS=	${LOCALBASE}/include/tclExtend.h:${PORTSDIR}/lang/tclX \
X		${TCL_LIBDIR}/mysqltcl:${PORTSDIR}/databases/mysqltcl \
X
${LOCALBASE}/lib/tcllib1.7/pkgIndex.tcl:${PORTSDIR}/devel/tcllib
X
XNO_BUILD=	yes
XUSE_PHP=	mysql gd
XUSE_TCL=	yes
X
XIPACCO?=	www/${PORTNAME}
XIPACCO_WEB=	${PREFIX}/${IPACCO}
XPLIST_SUB+=	IPACCO_WEB=${IPACCO}
XSUB_LIST+=	IPACCO_WEB=${IPACCO} \
X		PORTDOCS=${PORTDOCS} \
X		PORTNAME=${PORTNAME}
X
XSUB_FILES=	pkg-message
X
X.if !defined(NOPORTDOCS)
XPORTDOCS1=	INSTALL.html INSTALL.txt RELNOTES.html RELNOTES.txt
XPORTDOCS2=	README.html README.txt LICENSE CreateDB.sql
X.endif
X
Xpre-install:
X	@${FIND} ${WRKSRC} -name '*.bak' -type f -print0 | ${XARGS} -0 ${RM}
-f
X
Xpost-patch:
X	@${REINPLACE_CMD} -e 's|/usr/bin/tclsh|${TCLSH}|' \
X	    ${WRKSRC}/datapump/ipacco-datapump.tcl
X	@${REINPLACE_CMD} -e 's|\<?=|\<?php print|g' \
X	    ${WRKSRC}/html/*.php
X
Xdo-install:
X	-@${MKDIR} ${IPACCO_WEB}
X	@${MKDIR} ${PREFIX}/etc/${PORTNAME}
X	@${CP} -R ${WRKSRC}/html/* ${IPACCO_WEB}
X	@${CHOWN} -R ${WWWOWN}:${WWWGRP} ${IPACCO_WEB}
X	@${INSTALL_DATA} ${WRKSRC}/datapump/ipacco-datapump.cfg
${PREFIX}/etc/${PORTNAME}
X	@${INSTALL_SCRIPT} ${WRKSRC}/datapump/ipacco-datapump.tcl
${PREFIX}/sbin
X.if !defined(NOPORTDOCS)
X	@${MKDIR} ${DOCSDIR}
X.for f in ${PORTDOCS1}
X	@${INSTALL_DATA} ${WRKSRC}/doc/${f} ${DOCSDIR}
X.endfor
X.for f in ${PORTDOCS2}
X	@${INSTALL_DATA} ${WRKSRC}/${f} ${DOCSDIR}
X.endfor
X.endif
X	@${CAT} ${PKGMESSAGE}
X
X.include <bsd.port.mk>
END-of-ipacco/Makefile
echo x - ipacco/distinfo
sed 's/^X//' >ipacco/distinfo << 'END-of-ipacco/distinfo'
XMD5 (ipacco-0.2.0.1.tar.gz) = 4413b19275c3f0357e0d3e3d5cbdac45
XSHA256 (ipacco-0.2.0.1.tar.gz) =
8d91d783ea534f46c928f77d262962ccfb6e3ecd522c02f0262ac348bcc11636
XSIZE (ipacco-0.2.0.1.tar.gz) = 65754
END-of-ipacco/distinfo
echo x - ipacco/pkg-descr
sed 's/^X//' >ipacco/pkg-descr << 'END-of-ipacco/pkg-descr'
XIPAcco is a free software package that helps a network admin 
Xto collect, visualize and analyze IP accounting data from the 
XCisco routers. 
XCisco routers themselves are capable of collecting IP accounting 
Xinformation . i.e. an unordered set of IP source-destination 
Xpairs along with a byte and packet counters corresponding to all 
Xnetwork traffic flows that passed through the router's interfaces. 
XThese data can be a useful source for various analysis procedures 
Xand billing systems but by itself, in their raw form they are 
Xrather difficult to read and understand. In addition, a router 
Xcannot keep a lot of data . its memory is needed for purposes 
Xother than remembering what traffic, from what sources and where 
Xit forwarded two month ago.
X
XWWW:	http://ipacco.sourceforge.net/
X
X- Babak Farrokhi
Xbabak@farrokhi.net
END-of-ipacco/pkg-descr
echo x - ipacco/pkg-plist
sed 's/^X//' >ipacco/pkg-plist << 'END-of-ipacco/pkg-plist'
Xetc/ipacco/ipacco-datapump.cfg
Xsbin/ipacco-datapump.tcl
X%%PORTDOCS%%%%DOCSDIR%%/CreateDB.sql
X%%PORTDOCS%%%%DOCSDIR%%/INSTALL.html
X%%PORTDOCS%%%%DOCSDIR%%/INSTALL.txt
X%%PORTDOCS%%%%DOCSDIR%%/LICENSE
X%%PORTDOCS%%%%DOCSDIR%%/README.html
X%%PORTDOCS%%%%DOCSDIR%%/README.txt
X%%PORTDOCS%%%%DOCSDIR%%/RELNOTES.html
X%%PORTDOCS%%%%DOCSDIR%%/RELNOTES.txt
X%%IPACCO_WEB%%/AddrCondition.php
X%%IPACCO_WEB%%/AddrFilter.php
X%%IPACCO_WEB%%/AddrGraph.php
X%%IPACCO_WEB%%/BrightnessPicker.php
X%%IPACCO_WEB%%/BrightnessSelector.php
X%%IPACCO_WEB%%/ByAddress.php
X%%IPACCO_WEB%%/ByTime.php
X%%IPACCO_WEB%%/ChangeSettings.php
X%%IPACCO_WEB%%/ColorBrightnessPicker.php
X%%IPACCO_WEB%%/ColorPicker.php
X%%IPACCO_WEB%%/ColorSelector.php
X%%IPACCO_WEB%%/Colors.php
X%%IPACCO_WEB%%/Globals.php
X%%IPACCO_WEB%%/Help.php
X%%IPACCO_WEB%%/IPAcco.css
X%%IPACCO_WEB%%/MainMenu.php
X%%IPACCO_WEB%%/PageBottom.php
X%%IPACCO_WEB%%/PageHeader.php
X%%IPACCO_WEB%%/PageMiddle.php
X%%IPACCO_WEB%%/PageTop.php
X%%IPACCO_WEB%%/ServerError.php
X%%IPACCO_WEB%%/Settings.php
X%%IPACCO_WEB%%/SiteDefs.php
X%%IPACCO_WEB%%/TimeGraph.php
X%%IPACCO_WEB%%/TimeSelector.php
X%%IPACCO_WEB%%/Utils.php
X%%IPACCO_WEB%%/help/AddressFiltering.html
X%%IPACCO_WEB%%/help/AddressGraph.html
X%%IPACCO_WEB%%/help/Overview.html
X%%IPACCO_WEB%%/help/Settings.html
X%%IPACCO_WEB%%/help/StatusPage.html
X%%IPACCO_WEB%%/help/TimeGraph.html
X%%IPACCO_WEB%%/help/TimeNavigation.html
X%%IPACCO_WEB%%/images/ArrowLeftButton.png
X%%IPACCO_WEB%%/images/ArrowLeftButtonDisabled.png
X%%IPACCO_WEB%%/images/ArrowRightButton.png
X%%IPACCO_WEB%%/images/ColorPicker.png
X%%IPACCO_WEB%%/images/MinusButton.png
X%%IPACCO_WEB%%/images/MinusButtonDisabled.png
X%%IPACCO_WEB%%/images/PlusButton.png
X%%IPACCO_WEB%%/images/php-power-black.gif
X%%IPACCO_WEB%%/images/poweredbymysql-88.png
X%%IPACCO_WEB%%/index.html
X%%IPACCO_WEB%%/index.php
X@dirrm %%IPACCO_WEB%%/images
X@dirrm %%IPACCO_WEB%%/help
X@dirrmtry %%IPACCO_WEB%%
X@dirrm etc/ipacco
X%%PORTDOCS%%@dirrm %%DOCSDIR%%
END-of-ipacco/pkg-plist
echo c - ipacco/files
mkdir -p ipacco/files > /dev/null 2>&1
echo x - ipacco/files/pkg-message.in
sed 's/^X//' >ipacco/files/pkg-message.in <<
'END-of-ipacco/files/pkg-message.in'
X
X--------------------------------------------------
X
X1- Import database schema to your mysql:
X    mysql -u root -p < %%DOCSDIR%%%%PORTDOCS%%/CreateDB.sql
X
X2- Configure mysql parameters in 
X    %%PREFIX%%/etc/%%PORTNAME%%/ipacco-datapump.cfg
X    and
X    %%PREFIX%%/%%IPACCO_WEB%%/SiteDefs.php 
X
X3- Read the instructions and configure your cisco routers:
X    %%DOCSDIR%%/README.txt
X
X4- Add datapump agent to your /etc/crontab file:
X    */5 * * * * root %%PREFIX%%/sbin/ipacco-datapump.tcl \
X    -c %%PREFIX%%/etc/%%PORTNAME%%/ipacco-datapump.cfg > /dev/null 2>&1
X
X--------------------------------------------------
X    
END-of-ipacco/files/pkg-message.in
exit
--- ipacco.shar ends here ---
Comment 6 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-02 20:01:19 UTC
State Changed
From-To: feedback->open

new patch received
Comment 7 Ion-Mihai "IOnut" Tetcu freebsd_committer 2006-07-02 20:26:11 UTC
State Changed
From-To: open->closed

New port added. Thanks!